Bug 1032908 - makedumpfile fails on s390x
makedumpfile fails on s390x
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kexec-tools (Show other bugs)
7.0
s390x Unspecified
high Severity unspecified
: rc
: ---
Assigned To: kdump team
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-21 03:51 EST by Qiao Zhao
Modified: 2013-11-21 21:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 11:29:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Qiao Zhao 2013-11-21 03:51:18 EST
Description of problem:
makedumpfile fails on s390x with kexec-tools-2.0.13.el7.s390x.
https://beaker.engineering.redhat.com/recipes/1139255
http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2013/11/5473/547365/1139255/console.log

Version-Release number of selected component (if applicable):
kernel-3.10.0-50.el7
kexec-tools-2.0.4-13.el7

How reproducible:
always

Steps to Reproduce:
1. Install RHEL-7.0-20131115.2
2. setup kdump environment
---
xfs /dev/mapper/rhel_ibm--z10--28-root
path /var/crash
core_collector makedumpfile -nosuchoption
---
3. trigger crash

Actual results:
[snip]
[    2.435411] XFS (dm-2): Mounting Filesystem 
[    2.726262] XFS (dm-2): Starting recovery (logdev: internal) 
[    3.015909] XFS (dm-2): Ending recovery (logdev: internal) 
kdump: dump target is /dev/mapper/rhel_ibm--z10--46-root 
kdump: saving to /sysroot//var/crash/127.0.0.1-2013.11.20-08:18:46/ 
kdump: saving vmcore-dmesg.txt 
kdump: saving vmcore-dmesg.txt complete 
kdump: saving vmcore 
makedumpfile: invalid option -- 'n' 
Commandline parameter is invalid. 
Try `makedumpfile --help' for more information. 
 
makedumpfile Failed. 
kdump: saving vmcore failed 
Powering off. 
[snip]

Expected results:
kdump successful

Additional info:
Comment 1 Dave Anderson 2013-11-21 10:55:13 EST
Given that makedumpfile is doing what it is supposed to do, which is
fail if it receives a bogus command line argument, I have a few questions:

- What do you expect that it should do?

- Why s390x only?

- Is the addition of -nosuchoption a new QA feature that you are implementing
  as part of testing all commands?
Comment 2 Vivek Goyal 2013-11-21 11:29:11 EST
(In reply to Qiao Zhao from comment #0)
> Description of problem:
> makedumpfile fails on s390x with kexec-tools-2.0.13.el7.s390x.
> https://beaker.engineering.redhat.com/recipes/1139255
> http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2013/11/5473/547365/
> 1139255/console.log
> 
> Version-Release number of selected component (if applicable):
> kernel-3.10.0-50.el7
> kexec-tools-2.0.4-13.el7
> 
> How reproducible:
> always
> 
> Steps to Reproduce:
> 1. Install RHEL-7.0-20131115.2
> 2. setup kdump environment
> ---
> xfs /dev/mapper/rhel_ibm--z10--28-root
> path /var/crash
> core_collector makedumpfile -nosuchoption

Why are you passing -nosuchoption. This is not a valid option and if you
pass invalid option to makedumpfile it will fail.

Closing this bug as NOTABUG.
Comment 3 Qiao Zhao 2013-11-21 21:08:37 EST
Hi Dave and Vivek,

Is my folly, I know this is a wrong approach from bhe@ at yesterday afternoon, he give me a good answer.

Thanks,
Qiao

Note You need to log in before you can comment on or make changes to this bug.